#ifndef STORAGE_H
#define STORAGE_H

#include "system.h"

#define REG_CNT        0x1C
#define REG_FORCE      0x80000000


typedef struct
{
    uint32_t  registers[REG_CNT];
    uint16_t crc;
}l6474_storage_data_t;


extern l6474_storage_data_t l6474_storage_data;
	
void  storage_init(void);
void  storage_update(void);



#endif
