/*! \file   System.h

    \brief  Generic project defines ( data types, basic hardware setting)
    
    
*/



#ifndef SYSTEM_H
#define SYSTEM_H

#include "stdio.h"
#include "stdlib.h"
#include "string.h"




//Defines for System Clock Timing -


typedef unsigned char        uint8_t;
typedef unsigned int         uint16_t;
typedef unsigned long        uint32_t;
typedef unsigned long long   uint64_t;

typedef float                float32_t;
typedef signed char          int8_t;
typedef signed int           int16_t;
typedef signed long          int32_t;
typedef signed long long     int64_t;
typedef unsigned char        bool_t;

#define TRUE    1
#define FALSE   0


#ifdef __DEBUG
#define ASSERT(c_)    if(!(c_))while(1){};
#else
#define ASSERT(c_)

#endif



#endif
