#ifndef HAL_H
#define HAL_H

#include "system.h"
#include "p33FJ16GP102.h"

#define FOSC (4/* PLL*/ * 7370000 / 4 /*FRC divider*/)
#define FCY  (FOSC/2)


extern void process_request(char * buffer);

void     hal_oscilator_init(void);
void     hal_ioport_init(void);

uint16_t hal_read_inputs(void);

void     hal_spi_init(void);
uint8_t  hal_spi_write_byte(uint8_t cc);

void    hal_uart_init();
void    hal_uart_puts (char *s);
void    hal_uart_putc (char c);




#endif
